import { Injectable, signal } from '@angular/core';

@Injectable({
  providedIn: 'root',
})
export class ManagerLayoutService {
  sideCollapsed = signal(false);
  get sideWidth() {
    return this.sideCollapsed() ? 70 : 278;
  }
  get sideWidthPixel() {
    return this.sideWidth + 'px';
  }
  toggleSidebar() {
    this.sideCollapsed.update(collapsed => !collapsed);
  }
  constructor() {}
}
